package com.biganto.visual.roompark.data.repository.db.requrey

import com.biganto.visual.roompark.data.repository.db.IDb
import com.biganto.visual.roompark.data.repository.db.requrey.model.UserEntity
import io.requery.Persistable
import io.requery.reactivex.KotlinReactiveEntityStore
import javax.inject.Inject
import javax.inject.Singleton

/**
 * Created by Vladislav Bogdashkin on 13.06.2018.
 */

@Singleton
class RequeryRepository @Inject constructor(
        private val store: KotlinReactiveEntityStore<Persistable>
)
: IDb {

        override fun upsertUser(entity:UserEntity) = store.upsert(entity).toObservable()

}